\begin{lem}\label{26: coefficients in z}
  Let $g,h\in \qq[X]$ be two monic polynomials, and $f\in \zz[X]$ such that $f = gh$. Then $g$ and $h$ are already in $\zz[X]$.
\end{lem}
\begin{proof}
  There are $b,c\in \nn_1$ and $b_i,c_j \in \zz$ such that $g = 1/b\tilde{g}$ and $h = 1/c \tilde{h}$, with
  \[
  \tilde{g} = \sum_{i=0}^m b_iX^i\qquad \text{and}\qquad \tilde{h} = \sum_{j=0}^n c_jX^j,~\tilde{g},\tilde{h} \in \zz[X]
  \]
  and $h_m\neq 0\neq c_n$ and $\gcd(b_0,\hdots,b_m) = \gcd(c_0,\hdots,c_n$. Hence $bcf = \tilde{g}\tilde{h}$. Let now $p$ be a prime number such that $p\divd bc$. By consider $\tilde{g},\tilde{h}$ modulo $p$, we obtain
  \[
  \overline{\tilde{g}}\overline{\tilde{h}} =  0
  \]
  in $\zz_p$, so $\overline{\tilde{g}}=0$ or $\overline{\tilde{h}}=0$. But this implies $p\divd b_i$ for all $i$ or $p\divd c_j$ for all $j$, and hence
  \[
  \gcd(b_0,\hdots,b_m)\geq 2\qquad \text{or}\qquad \gcd(c_0,\hdots,c_n)\geq 2,
  \]
  contrary to the assumption. Hence $b,c = 1$, and so $g,h\in \zz[X]$ follows.
\end{proof}

\begin{thm}\label{26: degree of cyclotomic extension}
  Let $z\in \overline{\qq}$ be a primitive $n$-th root of unity. Then
  \begin{enumerate}
    \item $\qq(z) = \qq(\mathbb{E}_n(\qq))$.
    \item $\qq(z)/\qq$ is a Galois extension.
    \item $[\qq(z):\qq] = \phi(n)$, where $\pphi$ is the Eulerian $\pphi$-function.
    \item \coms $\gal(\qq(z)/\qq)\cong \unts{\zz/n\zz}$.\come
  \end{enumerate}
\end{thm}
\begin{proof}
  \leavevmode
  i) and ii) where already shown in the last lecture. Furthermore, we have $[\qq(z):\qq] \divd \pphi(n)$ (\cref{25: order of galois group of primitive extension divides phi(n)}). \par
  Consider now $f:= \mip{z}{\qq}$. We will show now that $\deg f = \pphi(n)$: For that, it suffices to show that every primitive $n$-th root of unity is a root of $f$. \\ As $(z)^n-1=0$, we first obtain $f \divd (X^n-1)$. So there is a monic polynomial $h\in \qq[X]$ such that $X^n-1 = fh$. By \cref{26: coefficients in z}, we get $f,h\in \zz[X]$.
  \par
  Let $p$ be prime with $p\ndivd n$. Then $f(z^p) = 0$ holds: Assume to the contrary that $f(z^p) \neq 0$. As $(z^p)^n-1=0$, this implies $h(z^p) = 0$, so $z$ is a root of $h(X^p)$, and hence $f\divd h(X^p)$. So let $g\in \qq[X]$ be a polynomial such that $fg = h(X^p)$. Then (by \cref{26: coefficients in z}), we have that $f,g\in \zz[X]$.
  Consider now the reduction in $\zz_p$. Then $\overline{h(X^p)} = \overline{f}\overline{g}$. But as we are in characteristic $p>0$, we have
  \[
  \overline{h(X^p)} = \left(\overline{h(X)}\right)^p = \overline{h}^p,
  \]
  so in particular, $\overline{f}$ and $\overline{h}$ have a common root. It follows that
  \[
  \overline{X^n-1} = \overline{f} \overline{h} \in \ff_p[X]
  \]
  has a multiple root, in contradiction to $p\ndivd n$.\#\par
  Now let $z'$ be any primitive $n$-th root of unity. Then there is a $m\geq 1$ such that $\gcd(m,n) = 1$ and $z' = z^m$. Let $m = p_1\hdots p_r$ be the composition into (not necessarily different) primes. Then $p_i \ndivd n$ holds, and we have
  \[
  \zeta' = \zeta^n = \left(\hdots \left(\zeta^{p_1}\right)\hdots\right)^{p_r}.
  \]
  By the above claim, we have $f(\zeta^{p_1}) = 0$, which implies (as $f$ is irreducible) $f = \mip{\zeta^{p_1}}{\qq}$. Continuing inductivley, we obtain $f(\zeta') = 0$.
  \end{proof}
  \begin{thm}
    Let $n\geq 3$. Then the following are equivalent:
    \begin{enumerate}
      \item The regular $n$-gon is constructible with compass and ruler, i.e. $z = \exp(2\pi i /n) \in M_{\infty}$, for $M = \{0,1\}.$
      \item $\pphi(n) = 2^m$ for a $m\geq 1$.
    \end{enumerate}
  \end{thm}
  \begin{proof}
    By \cref{26: degree of cyclotomic extension}, we have $[\qq(z):\qq] = \phi(n)$.
  \end{proof}

\lec
